<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ss.usermodel.CellCopyPolicy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ss.usermodel.CellCopyPolicy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
               title="class in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/CellCopyPolicy.html"
               target="_top">Frames</a></li>
        <li><a href="CellCopyPolicy.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ss.usermodel.CellCopyPolicy" class="title">Uses of Class<br>org.apache.poi.ss.usermodel.CellCopyPolicy
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                        title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                   title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                    title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellCopyPolicy.Builder.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.Builder.html#build--">build</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#CellCopyPolicy-org.apache.poi.ss.usermodel.CellCopyPolicy-">CellCopyPolicy</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                    title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a>&nbsp;other)</code>
                                <div class="block">Copy constructor</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                   title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html#copyCellFrom-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellCopyPolicy-">copyCellFrom</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;srcCell,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                   title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a>&nbsp;policy)</code>
                                <div class="block">Copy cell value, formula and style, from srcCell per cell copy policy
                                    If srcCell is null, clears the cell value and cell style per cell copy policy

                                    This does not shift references in formulas.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#copyRowFrom-org.apache.poi.ss.usermodel.Row-org.apache.poi.ss.usermodel.CellCopyPolicy-">copyRowFrom</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;srcRow,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                   title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a>&nbsp;policy)</code>
                                <div class="block">Copy the cells from srcRow to this row
                                    If this row is not a blank row, this will merge the two rows, overwriting
                                    the cells in this row with the cells in srcRow
                                    If srcRow is null, overwrite cells in destination row with blank values, styles, etc
                                    per cell copy policy
                                    srcRow may be from a different sheet in the same workbook
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#copyRows-int-int-int-org.apache.poi.ss.usermodel.CellCopyPolicy-">copyRows</a></span>(int&nbsp;srcStartRow,
                                int&nbsp;srcEndRow,
                                int&nbsp;destStartRow,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                   title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a>&nbsp;cellCopyPolicy)</code>
                                <div class="block">Copies rows between srcStartRow and srcEndRow to the same sheet,
                                    starting at destStartRow
                                    Convenience function for <a
                                            href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#copyRows-java.util.List-int-org.apache.poi.ss.usermodel.CellCopyPolicy-"><code>XSSFSheet.copyRows(List,
                                        int, CellCopyPolicy)</code></a>

                                    Equivalent to copyRows(getRows(srcStartRow, srcEndRow, false), destStartRow,
                                    cellCopyPolicy)
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#copyRows-java.util.List-int-org.apache.poi.ss.usermodel.CellCopyPolicy-">copyRows</a></span>(java.util.List&lt;?
                                extends <a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                           title="interface in org.apache.poi.ss.usermodel">Row</a>&gt;&nbsp;srcRows,
                                int&nbsp;destStartRow,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                   title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a>&nbsp;policy)</code>
                                <div class="block">copyRows rows from srcRows to this sheet starting at destStartRow

                                    Additionally copies merged regions that are completely defined in these
                                    rows (ie.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
               title="class in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/CellCopyPolicy.html"
               target="_top">Frames</a></li>
        <li><a href="CellCopyPolicy.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
